Bug 1584507 - No response when click Add Environment Variables button in Jenkins configure page
Summary: No response when click Add Environment Variables button in Jenkins configure ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: ImageStreams
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.z
Assignee: Gabe Montero
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On:
Blocks: 1578987
TreeView+ depends on / blocked
 
Reported: 2018-05-31 06:30 UTC by Wenjing Zheng
Modified: 2018-06-27 07:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If this bug requires documentation, please select an appropriate Doc Type value.
Clone Of:
Environment:
Last Closed: 2018-06-27 07:59:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2009 None None None 2018-06-27 07:59:54 UTC

Comment 1 Wenjing Zheng 2018-05-31 08:29:31 UTC
It seems the same issue like this bug: https://bugzilla.redhat.com/show_bug.cgi?id=1532936.

Comment 2 Gabe Montero 2018-05-31 19:04:50 UTC
OK, first, to confirm my recollection, the NPE reported occurs when you click the "manage jenkins" link followed by the "configure system" link.

It occurs prior to trying to click the add environment variables button.

The problem with the add env variable button as it turns out is a known bug in v1.0 and v1.1 of the k8s plugin, namely https://issues.jenkins-ci.org/browse/JENKINS-47112

And per https://issues.jenkins-ci.org/browse/JENKINS-47112 it was fixed with 1.1.3 of the plugin.

As adding env vars is import wrt the original issue, I'm going to use this bug to bump the k8s plugin to 1.1.3

Comment 3 Gabe Montero 2018-05-31 19:11:52 UTC
PR https://github.com/openshift/jenkins/pull/622 submitted for 3.7

Comment 4 Gabe Montero 2018-05-31 19:13:17 UTC
Note, neither 3.6 or 3.9 of the image have the k8s plugin with the bug for add env vars ... hence why the testing for those release have not / will not hit this.

Comment 5 Gabe Montero 2018-05-31 20:31:28 UTC
Also, https://buildvm.openshift.eng.bos.redhat.com:8443/job/devex/job/devex%252Fjenkins-plugins/48/ ran successfully and should update the plugin rpm for the 3.7 rhel7 build, where the k8s plugin is bumped to 1.1.3

Moving to modified ... awaiting arrival of new 3.7 images on brew-pulp

Comment 6 Wenjing Zheng 2018-06-04 07:54:35 UTC
Verified with below version, Add Environment Variables button works now:
brew-pulpxxxxxx/openshift3/jenkins-2-rhel7             v3.7                044c1757df27

Comment 8 errata-xmlrpc 2018-06-27 07:59:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2009


Note You need to log in before you can comment on or make changes to this bug.